curl --request PATCH \
--url https://api.twine.se/v1/org/employee-competences/{employee_competence_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"data": {
"competence_id": "018eae56-8f9d-7ca0-bea3-17f3db6cf75b",
"employee_id": "018eae56-8f9d-7ca0-bea3-17f3db6cf75b",
"mappings": [
{
"external_id": "EMP-COMP-1024",
"system_integration_id": "018eae56-8f9d-7ca0-bea3-17f3db6cf75b",
"id": "018eae56-8f9d-7ca0-bea3-17f3db6cf75b",
"status": "active",
"status_updated_at": "2023-11-07T05:31:56Z"
}
],
"properties": {
"custom_properties": {},
"issued_by": [
{
"valid_from": "2021-06-01",
"value": null
}
],
"level": [
{
"valid_from": "2021-06-01",
"value": null
}
],
"notes": [
{
"valid_from": "2021-06-01",
"value": null
}
],
"source_external_id": [
{
"valid_from": "2021-06-01",
"value": null
}
],
"valid_from": [
{
"valid_from": "2021-06-01",
"value": "2021-06-01T12:00:00Z"
}
],
"valid_to": [
{
"valid_from": "2021-06-01",
"value": "2021-06-01T12:00:00Z"
}
]
}
},
"job_options": {
"domain_mapping_id": "018eae56-8f9d-7ca0-bea3-17f3db6cf75b",
"queue_job": true,
"schedule_in": 0
}
}
'import requests
url = "https://api.twine.se/v1/org/employee-competences/{employee_competence_id}"
payload = {
"data": {
"competence_id": "018eae56-8f9d-7ca0-bea3-17f3db6cf75b",
"employee_id": "018eae56-8f9d-7ca0-bea3-17f3db6cf75b",
"mappings": [
{
"external_id": "EMP-COMP-1024",
"system_integration_id": "018eae56-8f9d-7ca0-bea3-17f3db6cf75b",
"id": "018eae56-8f9d-7ca0-bea3-17f3db6cf75b",
"status": "active",
"status_updated_at": "2023-11-07T05:31:56Z"
}
],
"properties": {
"custom_properties": {},
"issued_by": [
{
"valid_from": "2021-06-01",
"value": None
}
],
"level": [
{
"valid_from": "2021-06-01",
"value": None
}
],
"notes": [
{
"valid_from": "2021-06-01",
"value": None
}
],
"source_external_id": [
{
"valid_from": "2021-06-01",
"value": None
}
],
"valid_from": [
{
"valid_from": "2021-06-01",
"value": "2021-06-01T12:00:00Z"
}
],
"valid_to": [
{
"valid_from": "2021-06-01",
"value": "2021-06-01T12:00:00Z"
}
]
}
},
"job_options": {
"domain_mapping_id": "018eae56-8f9d-7ca0-bea3-17f3db6cf75b",
"queue_job": True,
"schedule_in": 0
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
data: {
competence_id: '018eae56-8f9d-7ca0-bea3-17f3db6cf75b',
employee_id: '018eae56-8f9d-7ca0-bea3-17f3db6cf75b',
mappings: [
{
external_id: 'EMP-COMP-1024',
system_integration_id: '018eae56-8f9d-7ca0-bea3-17f3db6cf75b',
id: '018eae56-8f9d-7ca0-bea3-17f3db6cf75b',
status: 'active',
status_updated_at: '2023-11-07T05:31:56Z'
}
],
properties: {
custom_properties: {},
issued_by: [{valid_from: '2021-06-01', value: null}],
level: [{valid_from: '2021-06-01', value: null}],
notes: [{valid_from: '2021-06-01', value: null}],
source_external_id: [{valid_from: '2021-06-01', value: null}],
valid_from: [{valid_from: '2021-06-01', value: '2021-06-01T12:00:00Z'}],
valid_to: [{valid_from: '2021-06-01', value: '2021-06-01T12:00:00Z'}]
}
},
job_options: {
domain_mapping_id: '018eae56-8f9d-7ca0-bea3-17f3db6cf75b',
queue_job: true,
schedule_in: 0
}
})
};
fetch('https://api.twine.se/v1/org/employee-competences/{employee_competence_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "018eae56-8f9d-7ca0-bea3-17f3db6cf75b",
"org_id": "018eae56-8f9d-7ca0-bea3-17f3db6cf75b",
"competence_id": "018eae56-8f9d-7ca0-bea3-17f3db6cf75b",
"employee_id": "018eae56-8f9d-7ca0-bea3-17f3db6cf75b",
"inserted_at": "2021-06-01T12:00:00Z",
"mappings": [
{
"external_id": "EMP-COMP-1024",
"system_integration_id": "018eae56-8f9d-7ca0-bea3-17f3db6cf75b",
"id": "018eae56-8f9d-7ca0-bea3-17f3db6cf75b",
"status": "active",
"status_updated_at": "2023-11-07T05:31:56Z"
}
],
"properties": {
"custom_properties": {},
"issued_by": [
{
"valid_from": "2021-06-01",
"value": null
}
],
"level": [
{
"valid_from": "2021-06-01",
"value": null
}
],
"notes": [
{
"valid_from": "2021-06-01",
"value": null
}
],
"source_external_id": [
{
"valid_from": "2021-06-01",
"value": null
}
],
"valid_from": [
{
"valid_from": "2021-06-01",
"value": "2021-06-01T12:00:00Z"
}
],
"valid_to": [
{
"valid_from": "2021-06-01",
"value": "2021-06-01T12:00:00Z"
}
]
},
"source_system": "twine",
"updated_at": "2021-06-01T12:00:00Z",
"valid_from": "2021-06-01",
"valid_to": "2024-06-01"
}
}{
"code": 400,
"errors": [],
"message": "Bad Request"
}{
"code": 403,
"errors": [],
"message": "Forbidden"
}{
"code": 404,
"errors": [],
"message": "Not Found"
}{
"code": 403,
"errors": [],
"message": "Forbidden"
}Update Employee Competence
Partially update an existing Employee Competence. Each property in the request replaces that property’s whole timeline; properties not included are left untouched.
Authorizations
Bearer token for authentication
Path Parameters
Body
Employee Competence Upsert Request
Represents a request to upsert an employee-competence assignment
An object representing an upsertable employee-competence assignment. Creating requires employee_id and competence_id.
Show child attributes
Show child attributes
Represents options for the resulting Job when upserting employee competences. Changes propagate through the competence-assignment domain, which needs its own domain mapping — writing an assignment never re-replicates the employee.
Show child attributes
Show child attributes
Response
Response
An employee-competence assignment response
An employee-competence assignment — one employee holding one catalogue competence
Show child attributes
Show child attributes